<?php
namespace Concrete\Package\KoubaAreasCleanup;

use Concrete\Core\Package\Package;
use Concrete\Core\Page\Single as SinglePage;
use Concrete\Core\Page\Page;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package{
  protected $pkgHandle = 'kouba_areas_cleanup';
  protected $appVersionRequired = '8.3.0';
  protected $pkgVersion = '0.9';

  public function getPackageDescription() {
    return t('Shows list of used areas on the site');
  }

  public function getPackageName() {
    return t("Kouba Areas Cleanup");
  }

  public function install(){
    $pkg = parent::install();

    $sP = Page::getByPath('/dashboard/blocks/areas_cleanup');
    if(!is_object($sP) || $sP->isError()){
      SinglePage::add('/dashboard/blocks/areas_cleanup',$pkg);
    }
  }
}
